/*
 * DBAccessConfig.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.dbaccess;

import java.util.ArrayList;
import java.util.List;

/**
 * 設定ファイルよりSQL文を取得するクラス。
 * @author Lijuan Sun
 */
public class DBAccessConfig {

	/** クエリー用SQLリスト */
	private List<SelectSql> selectSql = null;
	/** 更新用SQLリスト */
	private List<UpdateSql> updateSql = null;
	/** インサート用SQLリスト */
	private List<InsertSql> insertSql = null;
	/** 削除用SQLリスト */
	private List<DeleteSql> deleteSql = null;

	/**
	 * コンストラクタ
	 */
	public DBAccessConfig (){
		//初期化
		selectSql=new ArrayList<SelectSql>();
		updateSql=new ArrayList<UpdateSql>();
		insertSql=new ArrayList<InsertSql>();
		deleteSql=new ArrayList<DeleteSql>();
	}

	/**
	 * 検索用SQLのリストを取得する
	 * @return 検索用SQLのリスト
	 */
	public List<SelectSql> getSelectSql() {
		return selectSql;
	}

	/**
	 * 検索用SQLを設定する
	 * @param selSql 検索用SQL
	 */
	public void setSelectSql(SelectSql selSql){
		selectSql.add(selSql);
	}

	/**
	 * 更新用SQLのリストを取得する
	 * @return 更新用SQLのリスト
	 */
	public List<UpdateSql> getUpdateSql() {
		return updateSql;
	}

	/**
	 * 更新用SQLを設定する
	 * @param uptSql 更新用SQL
	 */
	public void setUpdateSql(UpdateSql uptSql){
		updateSql.add(uptSql);
	}

	/**
	 * 挿入用SQLのリストを取得する
	 * @return 挿入用SQLのリスト
	 */
	public List<InsertSql> getInsertSql() {
		return insertSql;
	}

	/**
	 * 挿入用SQLを設定する
	 * @param insSql 挿入用SQL
	 */
	public void setInsertSql(InsertSql insSql){
		insertSql.add(insSql);
	}

	/**
	 * 削除用SQLのリストを取得する
	 * @return 削除用SQLのリスト
	 */
	public List<DeleteSql> getDeleteSql() {
		return deleteSql;
	}

	/**
	 * 削除用SQLを設定する
	 * @param delSql 削除用SQL
	 */
	public void setDeleteSql(DeleteSql delSql){
		deleteSql.add(delSql);
	}
}
